"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postgresFactory = exports.PostgresConnector = exports.testResources = exports.opsDriver = exports.driver = exports.init = exports.DatabaseOperations = exports.SchemaColumnTranslator = exports.FilterParser = exports.DataProvider = exports.SchemaProvider = void 0;
const tslib_1 = require("tslib");
const connection_provider_1 = require("./connection_provider");
const postgres_config_validator_1 = require("./postgres_config_validator");
const velo_external_db_commons_1 = require("@wix-velo/velo-external-db-commons");
var postgres_schema_provider_1 = require("./postgres_schema_provider");
Object.defineProperty(exports, "SchemaProvider", { enumerable: true, get: function () { return postgres_schema_provider_1.default; } });
var postgres_data_provider_1 = require("./postgres_data_provider");
Object.defineProperty(exports, "DataProvider", { enumerable: true, get: function () { return postgres_data_provider_1.default; } });
var sql_filter_transformer_1 = require("./sql_filter_transformer");
Object.defineProperty(exports, "FilterParser", { enumerable: true, get: function () { return sql_filter_transformer_1.default; } });
var sql_schema_translator_1 = require("./sql_schema_translator");
Object.defineProperty(exports, "SchemaColumnTranslator", { enumerable: true, get: function () { return sql_schema_translator_1.default; } });
var postgres_operations_1 = require("./postgres_operations");
Object.defineProperty(exports, "DatabaseOperations", { enumerable: true, get: function () { return postgres_operations_1.default; } });
var connection_provider_2 = require("./connection_provider");
Object.defineProperty(exports, "init", { enumerable: true, get: function () { return connection_provider_2.default; } });
const driver = () => require('../tests/drivers/sql_filter_transformer_test_support');
exports.driver = driver;
const opsDriver = () => require('../tests/drivers/db_operations_test_support');
exports.opsDriver = opsDriver;
exports.testResources = require("../tests/e2e-testkit/postgres_resources");
class PostgresConnector extends velo_external_db_commons_1.DbConnector {
    constructor() {
        //@ts-ignore - todo: fix this
        super(postgres_config_validator_1.PostgresConfigValidator, connection_provider_1.default);
        this.type = 'postgres';
    }
}
exports.PostgresConnector = PostgresConnector;
const postgresFactory = (config, options) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const connector = new PostgresConnector();
    const _a = yield connector.initialize(config, options), { connection, cleanup } = _a, providers = tslib_1.__rest(_a, ["connection", "cleanup"]);
    return { connector, connection, providers, cleanup };
});
exports.postgresFactory = postgresFactory;
//# sourceMappingURL=index.js.map