"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColumnsCapabilities = exports.CollectionOperations = exports.FieldTypes = exports.ReadOnlyOperations = exports.ReadWriteOperations = void 0;
const velo_external_db_commons_1 = require("@wix-velo/velo-external-db-commons");
const velo_external_db_types_1 = require("@wix-velo/velo-external-db-types");
const { query, count, queryReferenced, aggregate, } = velo_external_db_types_1.DataOperation;
const { eq, ne, string_contains, string_begins, string_ends, gt, gte, lt, lte, include } = velo_external_db_commons_1.AdapterOperators;
exports.ReadWriteOperations = Object.values(velo_external_db_types_1.DataOperation);
exports.ReadOnlyOperations = [query, count, queryReferenced, aggregate];
exports.FieldTypes = Object.values(velo_external_db_types_1.FieldType);
exports.CollectionOperations = Object.values(velo_external_db_types_1.CollectionOperation);
exports.ColumnsCapabilities = {
    text: { sortable: true, columnQueryOperators: [eq, ne, string_contains, string_begins, string_ends, include, gt, gte, lt, lte] },
    url: { sortable: true, columnQueryOperators: [eq, ne, string_contains, string_begins, string_ends, include, gt, gte, lt, lte] },
    number: { sortable: true, columnQueryOperators: [eq, ne, gt, gte, lt, lte, include] },
    boolean: { sortable: true, columnQueryOperators: [eq] },
    image: { sortable: false, columnQueryOperators: [] },
    object: { sortable: false, columnQueryOperators: [eq, ne, string_contains, string_begins, string_ends, include, gt, gte, lt, lte] },
    datetime: { sortable: true, columnQueryOperators: [eq, ne, gt, gte, lt, lte] },
    time: { sortable: true, columnQueryOperators: [eq, ne, gt, gte, lt, lte] },
    date: { sortable: true, columnQueryOperators: [eq, ne, gt, gte, lt, lte] },
};
//# sourceMappingURL=postgres_capabilities.js.map