"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostgresConfigValidator = void 0;
const velo_external_db_commons_1 = require("@wix-velo/velo-external-db-commons");
class PostgresConfigValidator {
    constructor(config) {
        this.requiredKeys = ['user', 'password', 'db'];
        this.hostKeyOptions = ['host', 'cloudSqlConnectionName'];
        this.config = config;
    }
    readConfig() {
        return this.config;
    }
    validate() {
        const missingRequiredKeys = (0, velo_external_db_commons_1.checkRequiredKeys)(this.config, this.requiredKeys);
        const missingRequiredHostKey = (0, velo_external_db_commons_1.checkThatHasAtLestOneRequiredKeys)(this.config, this.hostKeyOptions);
        return {
            missingRequiredSecretsKeys: [...missingRequiredKeys, ...missingRequiredHostKey]
        };
    }
}
exports.PostgresConfigValidator = PostgresConfigValidator;
//# sourceMappingURL=postgres_config_validator.js.map