import { Pool } from 'pg';
import { IDataProvider, AdapterFilter as Filter, Sort, Item, NonEmptyAdapterAggregation as Aggregation, ResponseField } from '@wix-velo/velo-external-db-types';
import FilterParser from './sql_filter_transformer';
export default class DataProvider implements IDataProvider {
    pool: Pool;
    filterParser: FilterParser;
    constructor(pool: Pool, filterParser: FilterParser);
    find(collectionName: string, filter: Filter, sort: Sort[], skip: number, limit: number, projection: string[]): Promise<Item[]>;
    count(collectionName: string, filter: Filter): Promise<number>;
    insert(collectionName: string, items: Item[], fields: ResponseField[], upsert?: boolean): Promise<number>;
    update(collectionName: string, items: Item[]): Promise<number>;
    delete(collectionName: string, itemIds: string[]): Promise<number>;
    truncate(collectionName: string): Promise<void>;
    aggregate(collectionName: string, filter: Filter, aggregation: Aggregation, sort: Sort[], skip: number, limit: number): Promise<Item[]>;
}
