import { Pool } from 'pg';
import SchemaColumnTranslator from './sql_schema_translator';
import { InputField, ISchemaProvider, ResponseField, Table } from '@wix-velo/velo-external-db-types';
export default class SchemaProvider implements ISchemaProvider {
    sqlSchemaTranslator: SchemaColumnTranslator;
    pool: Pool;
    constructor(pool: Pool);
    list(): Promise<Table[]>;
    listHeaders(): Promise<any[]>;
    supportedOperations(): import("@wix-velo/velo-external-db-types").SchemaOperations[];
    create(collectionName: string, columns: any[]): Promise<void>;
    drop(collectionName: string): Promise<void>;
    addColumn(collectionName: string, column: InputField): Promise<void>;
    changeColumnType(collectionName: string, column: InputField): Promise<void>;
    removeColumn(collectionName: string, columnName: string): Promise<void>;
    describeCollection(collectionName: string): Promise<Table>;
    private collectionCapabilities;
    private appendAdditionalRowDetails;
    translateDbTypes(row: ResponseField): {
        field: string;
        type: string;
    };
}
