"use strict";
// Ported from PostgreSQL 9.2.4 source code in src/interfaces/libpq/fe-exec.c
Object.defineProperty(exports, "__esModule", { value: true });
exports.prepareStatementVariablesForBulkInsert = exports.prepareStatementVariables = exports.escapeIdentifier = void 0;
const escapeIdentifier = (str) => str === '*' ? '*' : `"${(str || '').replace(/"/g, '""')}"`;
exports.escapeIdentifier = escapeIdentifier;
const prepareStatementVariables = (n) => {
    return Array.from({ length: n }, (_, i) => i + 1)
        .map(i => `$${i}`)
        .join(', ');
};
exports.prepareStatementVariables = prepareStatementVariables;
const prepareStatementVariablesForBulkInsert = (rowsCount, columnsCount) => {
    const segments = [];
    for (let row = 0; row < rowsCount; row++) {
        const segment = [];
        for (let col = 0; col < columnsCount; col++) {
            segment.push(`$${col + 1 + row * columnsCount}`);
        }
        segments.push('(' + segment.join(',') + ')');
    }
    return segments.join(',');
};
exports.prepareStatementVariablesForBulkInsert = prepareStatementVariablesForBulkInsert;
//# sourceMappingURL=postgres_utils.js.map