"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.misconfiguredDbOperationOptions = exports.dbOperationWithValidDB = void 0;
const postgres_operations_1 = require("../../src/postgres_operations");
const connection_provider_1 = require("../../src/connection_provider");
const createPool = (modify) => {
    const config = {
        host: 'localhost',
        user: 'test-user',
        password: 'password',
        db: 'test-db',
    };
    const { connection, cleanup } = (0, connection_provider_1.default)(Object.assign(Object.assign({}, config), modify), { max: 1 });
    return { connection, cleanup };
};
const dbOperationWithMisconfiguredPassword = () => new postgres_operations_1.default(createPool({ password: 'wrong' }).connection);
const dbOperationWithMisconfiguredDatabase = () => new postgres_operations_1.default(createPool({ db: 'wrong' }).connection);
const dbOperationWithMisconfiguredHost = () => new postgres_operations_1.default(createPool({ host: 'wrong' }).connection);
const dbOperationWithValidDB = () => {
    const { connection, cleanup } = createPool({});
    const dbOperations = new postgres_operations_1.default(connection);
    return { dbOperations, cleanup };
};
exports.dbOperationWithValidDB = dbOperationWithValidDB;
const misconfiguredDbOperationOptions = () => ([['pool connection with wrong password', () => dbOperationWithMisconfiguredPassword()],
    ['pool connection with wrong database', () => dbOperationWithMisconfiguredDatabase()],
    ['pool connection with wrong host', () => dbOperationWithMisconfiguredHost()]
]);
exports.misconfiguredDbOperationOptions = misconfiguredDbOperationOptions;
//# sourceMappingURL=db_operations_test_support.js.map