"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.name = exports.shutdownEnv = exports.enviormentVariables = exports.setActive = exports.initEnv = exports.cleanup = exports.connection = exports.capabilities = exports.supportedOperations = void 0;
const tslib_1 = require("tslib");
const connection_provider_1 = require("../../src/connection_provider");
var supported_operations_1 = require("../../src/supported_operations");
Object.defineProperty(exports, "supportedOperations", { enumerable: true, get: function () { return supported_operations_1.supportedOperations; } });
const compose = require("docker-compose");
exports.capabilities = require("../../src/postgres_capabilities");
const connection = () => {
    const { connection, schemaProvider, cleanup } = (0, connection_provider_1.default)({ host: 'localhost', user: 'test-user', password: 'password', db: 'test-db' }, { max: 1 });
    return { pool: connection, schemaProvider, cleanup };
};
exports.connection = connection;
const cleanup = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const { schemaProvider, cleanup } = (0, connection_provider_1.default)({ host: 'localhost', user: 'test-user', password: 'password', db: 'test-db' }, { max: 1 });
    const tables = yield schemaProvider.list();
    yield Promise.all(tables.map(t => t.id).map(t => schemaProvider.drop(t)));
    yield cleanup();
});
exports.cleanup = cleanup;
const initEnv = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield compose.upOne('postgres', { cwd: __dirname, log: true, commandOptions: [['--force-recreate', '--remove-orphans']] });
});
exports.initEnv = initEnv;
const setActive = () => {
    process.env = Object.assign(Object.assign({}, process.env), exports.enviormentVariables);
};
exports.setActive = setActive;
exports.enviormentVariables = {
    TYPE: 'postgres',
    HOST: 'localhost',
    USER: 'test-user',
    PASSWORD: 'password',
    DB: 'test-db'
};
const shutdownEnv = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield compose.stopOne('postgres', { cwd: __dirname, log: true });
});
exports.shutdownEnv = shutdownEnv;
exports.name = 'postgres';
//# sourceMappingURL=postgres_resources.js.map